petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSInterpolate

Interpolate the solution computed during the previous step to an arbitrary location in the interval

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSInterpolate(TS ts,PetscReal t,Vec U)

Collective on TS Many br

### Input Argument

| ts | - time stepping context Many br
| t | - time to interpolate to Many br

### Output Argument

U -state at given time Many br

Many br

### Developer Notes

TSInterpolate() and the storing of previous steps/stages should be generalized to support delay differential equations and continuous adjoints. Many br

### Keywords

TS, set

### See Also

TSSetExactFinalTime(), TSSolve()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex16.c.html
src/ts/examples/tutorials/ex19.c.html
src/ts/examples/tutorials/ex20.c.html
src/ts/examples/tutorials/ex20adj.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html